Name: d-feet 
Version: 0.3.16
Release: 4
Summary: A powerful D-Bus Debugger

License: GPLv2+
URL: https://wiki.gnome.org/Apps/DFeet
Source0: https://download.gnome.org/sources/d-feet/0.3/d-feet-%{version}.tar.xz

BuildArch: noarch

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: glib2-devel
BuildRequires: gobject-introspection-devel
BuildRequires: gtk3-devel
BuildRequires: itstool
BuildRequires: meson
BuildRequires: python3-devel
BuildRequires: python3-pycodestyle
BuildRequires: libappstream-glib
Requires: libwnck3
Requires: python3-gobject

%description
D-Feet is an easy to use D-Bus debugger.

D-Bus is an RPC library used on the Desktop.  D-Feet can be used to inspect
D-Bus objects of running programs and invoke methods on those objects.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang d-feet --with-gnome

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.dfeet.desktop

%files -f d-feet.lang
%license COPYING
%doc AUTHORS README.md NEWS
%{python3_sitelib}/dfeet/
%{_bindir}/d-feet
%{_datadir}/applications/org.gnome.dfeet.desktop
%{_datadir}/d-feet/
%{_datadir}/glib-2.0/schemas/org.gnome.dfeet.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.dfeet.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.dfeet-symbolic.svg
%{_datadir}/metainfo/org.gnome.dfeet.appdata.xml

%changelog
* Tue Mar 01 2022 tanyulong <tanyulong@kylinos.cn> - 0.3.16-4
- Rebuilt 

* Mon Feb 21 2021 peijiankang <peijiankang@kylinos.cn> - 0.3.16-3
- rebuilt

* Mon Feb 21 2021 peijiankang <peijiankang@kylinos.cn> - 0.3.16-2
- add libxml2 libstdc++ libgcc Requires

* Wed Nov 09 2021 tanyulong <tanyulong@kylinos.cn> - 0.3.16-1
- init package for OpenEuler

